"""Constants used in the mrwuery programs"""

# Most of the defaults are reasonable. You must set TOPDATADIR and NONCEFILE.
# Give TOPDATADIR a couple of gigabytes.

SAVETIME = 120.0      # Save every two minutes.

# mrquery.py
MRQPRINTAT = 500  # Print status every 500 images.
CHECK_INVARIANTS = False  # Slow.
# Quadratically slow. Use only with less than 100 images.
QUADRATIC_CHECK_INVARIANTS = False
MRQPKL = 'mrq.pkl'       # No need to change these.
MRQPKLBAK = 'mrq.pkl.bak'

# All data from running these programs are put in the "topdatadir"
# directory. This directory should be separate from any of your image
# directories. Otherwise the html thumbnails will be treated as part of your
# image collection!
# Make sure there are a couple of gigabytes abvailable.
TOPDATADIR = '/place/to/store/data'

# haar.py
HAARSIZE = 128    # Don't change this.
LAYERS = 3        # RGB
RCQUOTA = 40      # Keep best 40 Haar coefficients.
PRINTAT = 100     # Print Haar progress every 100 images.

# scorearr.py
CBLOCKSIZE = 1000            # Size of Block.
RBLOCKSIZE = 500
SORTLIST_CUTOFF_SCORE = 0.5  # Don't keep low scores.
SORTSCORES_QUOTA = 200000    # Keep this many scores. 100000 is fine for
                             # 20000 images; 200000 needed for 50000
                             # images.

# scorearr.py, PrintScores
PRINTSCORE_QUOTA = 5000  # Stop printing at 5000 scores.

# html.py
# The "noncefile" is a file somewhere in your system that you have put into
# your brouser's bookmarks. I call it "nonce.html".
NONCEFILE = '/home/yourname/bookmarks/nonce.html'
XTEXT = 'xtext.pkl'  # No need to change this.
DIRECTORY_PAIRS_DONE_PRINTED = 50  # Print progress every 50 dir pairs.
THUMB_MAXSIZE = 150
MAXDIRPAIRS = 300  # Produce html for upto 300 dir pairs.
CUTOFFSCORE = 0.5  # Ignore scores below 0.5.
# Black and white images need a higher cutoff score.
BWCUTOFFSCORE = 0.75   # BWCUTOFFSCORE must be >= CUTOFFSCORE.
UPPERCUTOFFSCORE = .9
PAIRSPERPAGE = 25
MAXONELISTPAIRS = 300
