#! /usr/bin/env python

"""Outputs the probability distribution of the scores"""

"""
Copyright 2006 Edward C. Jones

This file is part of mrquery.

mrquery is free software; you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

mrquery is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
mrquery; if not, write to the Free Software Foundation, Inc., 51 Franklin
St, Fifth Floor, Boston, MA 02110-1301 USA
"""
import sys, optparse
import constants, mrquery

usage = 'USAGE: ./sortlist_info [-h] <basename>'
parser = optparse.OptionParser(usage=usage)
options, args = parser.parse_args()
if len(args) != 1:
    parser.print_help()
    sys.exit('requires an argument')

basename = args[0]
size, bins = mrquery.SortlistInfo(constants.TOPDATADIR, basename)
print size
total = 0
for i in range(len(bins)):
    total += bins[i]
    print '%3i %5i %5i' % (i, bins[i], total)
